com.h3c.of.ctl

## Class ControllerParams

- java.lang.Object
- - com.h3c.of.ctl.ControllerParams

-     public class ControllerParams
      extends Object

  Encapsulates controller runtime parameters which may be of interest to "external" parties.

  The values (with defaults shown in square brackets) are:

  - messageFutureTimeout: the maximum number of milliseconds to wait for a `MessageFuture` to be satisfied.

  This class uses the builder pattern. For example, to create a parameters instance which sets the message future timeout to half a second:

       ControllerParams params = new ControllerParams.Builder()
               .messageFutureTimeout(500).build();

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ControllerParams.Builder` Builds instances of ControllerParams.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static long` | `DEFAULT_MESSAGE_FUTURE_TIMEOUT_MS` The default message future timeout (in ms).

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `messageFutureTimeout()` Returns the maximum number of milliseconds to wait for a `MessageFuture` to be satisfied.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_MESSAGE_FUTURE_TIMEOUT_MS

          public static final long DEFAULT_MESSAGE_FUTURE_TIMEOUT_MS

      The default message future timeout (in ms).
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### messageFutureTimeout

          public long messageFutureTimeout()

      Returns the maximum number of milliseconds to wait for a `MessageFuture` to be satisfied.
      Returns:
        message future timeout value

Copyright © 2014. All Rights Reserved.